scala.tools.nsc.settings

# Milestone

#### case class Milestone(n: Int) extends ScalaBuild with Product with Serializable

An intermediate release

Source
  ScalaVersion.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, ScalaBuild, math.Ordered[ScalaBuild], Comparable[ScalaBuild], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Milestone
2. Serializable
3. Serializable
4. Product
5. Equals
6. ScalaBuild
7. Ordered
8. Comparable
9. AnyRef
10. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Milestone(n: Int)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Milestone to any2stringadd[Milestone] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Milestone, B)

   Implicit information
     This member is added by an implicit conversion from Milestone to ArrowAssoc[Milestone] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### def <(that: ScalaBuild): Boolean

   Definition Classes
     Ordered

6. #### def <=(that: ScalaBuild): Boolean

   Definition Classes
     Ordered

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def >(that: ScalaBuild): Boolean

   Definition Classes
     Ordered

9. #### def >=(that: ScalaBuild): Boolean

   Definition Classes
     Ordered

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def compare(that: ScalaBuild): Int

    Definition Classes
      Milestone → Ordered

13. #### def compareTo(that: ScalaBuild): Int

    Definition Classes
      Ordered → Comparable

14. #### def ensuring(cond: (Milestone) ⇒ Boolean, msg: ⇒ Any): Milestone

    Implicit information
      This member is added by an implicit conversion from Milestone to Ensuring[Milestone] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (Milestone) ⇒ Boolean): Milestone

    Implicit information
      This member is added by an implicit conversion from Milestone to Ensuring[Milestone] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): Milestone

    Implicit information
      This member is added by an implicit conversion from Milestone to Ensuring[Milestone] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): Milestone

    Implicit information
      This member is added by an implicit conversion from Milestone to Ensuring[Milestone] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Milestone to StringFormat[Milestone] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### val n: Int

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def unparse: String

    Return a version of this build information that can be parsed back into the same ScalaBuild

    Return a version of this build information that can be parsed back into the same ScalaBuild

    Definition Classes
      Milestone → ScalaBuild

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### def →[B](y: B): (Milestone, B)

    Implicit information
      This member is added by an implicit conversion from Milestone to ArrowAssoc[Milestone] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ScalaBuild

### Inherited from math.Ordered[ScalaBuild]

### Inherited from Comparable[ScalaBuild]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Milestone to any2stringadd[Milestone]

### Inherited by implicit conversion StringFormat from Milestone to StringFormat[Milestone]

### Inherited by implicit conversion Ensuring from Milestone to Ensuring[Milestone]

### Inherited by implicit conversion ArrowAssoc from Milestone to ArrowAssoc[Milestone]

### Ungrouped